pcl::PointWithRange Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, padded with an extra range float. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointWithRange:

## Public Member Functions

| PointWithRange (const _PointWithRange &p)
| PointWithRange ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointWithRange &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointWithRange
| PCL_ADD_POINT4D
union {
struct {
float range
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, padded with an extra range float.

Definition at line 994 of file point_types.hpp.

## Constructor & Destructor Documentation

pcl::PointWithRange::PointWithRange | ( | const _PointWithRange & | p | ) |

inline

Definition at line 996 of file point_types.hpp.

References pcl::_PointWithRange::range.

pcl::PointWithRange::PointWithRange | ( |  | ) |

inline

Definition at line 1002 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointWithRange & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp